package com.zcloud.zcGbsServicer.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingUserAddCmd;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingUserPageQry;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingUserUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.FireAlarmMeetingUserCO;

public interface FireAlarmMeetingUserServiceI {

    PageResponse<FireAlarmMeetingUserCO> listPage(FireAlarmMeetingUserPageQry qry);

    SingleResponse<FireAlarmMeetingUserCO> add(FireAlarmMeetingUserAddCmd cmd);

    void edit(FireAlarmMeetingUserUpdateCmd cmd);

    FireAlarmMeetingUserCO get(Long id);

    void remove(Long id);
}
